import { useTranslation } from "next-i18next";
import { serverSideTranslations } from "next-i18next/serverSideTranslations";
import Layout from "../components/layout";


const Offers = () => {
  const { t: translate } = useTranslation();

  return (
    <>
      <Layout title="donation.title" subtitle="donation.subtitle">
        <div className="layout text-center mt-10 space-y-6 text-lg text-zinc-700 whitespace-pre-line">
          <p>{translate("donation.description")}</p>
          <p className="font-semibold">{translate("donation.donate")}</p>
        </div>
      </Layout>
    </>
  );
};

export async function getStaticProps({ locale }) {
  return {
    props: {
      ...(await serverSideTranslations(locale)),
    },
  };
}

export default Offers;
